# $Id$
# Authority: lsn
# Upstream: 

%define myname   LandShark BuildSys
%define myemail  <BuildSys[AT]LandShark.Net>
%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)

Summary: Firmware for Intel PRO/Wireless 2200 network adaptors
Name: ipw2200-firmware
Version: 2.4
Release: 1.el4.lsn
License: Distributable
Group: System Environment/Kernel
URL: http://ipw2200.sourceforge.net/firmware.php
# License agreement is displayed before download (referer protection)
Source: ipw2200-fw-%{version}.tgz
Packager: %{myname} %{myemail}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

%description
This package contains the firmware files required by the ipw-2200 driver for
Linux. Usage of the firmware is subject to the terms contained in :
%{_defaultdocdir}/%{name}-%{version}/LICENSE. Please read it carefully.


%prep
%setup -c

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/lib/firmware
%{__install} -p -m 0644 *.fw %{buildroot}/lib/firmware/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc LICENSE
/lib/firmware/*.fw

%changelog
* %{date} %myname %myemail - %version-%release
- Initial package.